Libargus API Libargus Camera API

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Public Member Functions | Static Public Member Functions | Protected Member Functions
Argus::Ext::ISensorPrivateMetadata Class Reference
CaptureMetadata | Ext::SensorPrivateMetadata

Interface used to access sensor private metadata. More...

`#include <SensorPrivateMetadata.h>`

Inheritance diagram for Argus::Ext::ISensorPrivateMetadata:

List of all members.

## Public Member Functions
virtual size_t | getMetadataSize () const =0
| Returns the size of the embedded metadata.
virtual Status | getMetadata (void *dst, size_t size) const =0
| Copies back the metadata to the provided memory location.

## Static Public Member Functions
static const InterfaceID & | id ()

## Protected Member Functions
| ~ISensorPrivateMetadata ()
Protected Member Functions inherited from Argus::Interface
| Interface ()
| ~Interface ()

## Detailed Description

Interface used to access sensor private metadata.

Definition at line 117 of file SensorPrivateMetadata.h.

## Constructor & Destructor Documentation

Argus::Ext::ISensorPrivateMetadata::~ISensorPrivateMetadata | ( |  | ) |
| inline protected

Definition at line 138 of file SensorPrivateMetadata.h.

## Member Function Documentation

virtual Status Argus::Ext::ISensorPrivateMetadata::getMetadata | ( | void * | dst,
|  | size_t | size
| ) |  | const
| pure virtual

Copies back the metadata to the provided memory location.

If the size of dst is smaller than the total size of the metadata, only the first bytes up to size are copied.

Parameters:

  [in,out] | dst | The pointer to the location where the data will be copied. The caller is responsible for allocating and managing the memory.
  [in] | size | The size of the destination.

virtual size_t Argus::Ext::ISensorPrivateMetadata::getMetadataSize | ( |  | ) | const
| pure virtual

Returns the size of the embedded metadata.

static const InterfaceID& Argus::Ext::ISensorPrivateMetadata::id | ( |  | ) |
| inline static

Definition at line 120 of file SensorPrivateMetadata.h.

The documentation for this class was generated from the following file:

- include/Argus/Ext/SensorPrivateMetadata.h